#ifndef PCX_DBF
#define PCX_DBF

#include "inkey.ch"

#define PCX_MANUFACTURER    1 // 1
#define PCX_VERSION         2 // 1
#define PCX_ENCODING        3 // 1
#define PCX_BITS_PER_PIXEL  4 // 1
#define PCX_WINDOW          5 // 8
#define PCX_HRES            6 // 2 (integer)
#define PCX_VRES            7 // 2 (integer)
#define PCX_COLORMAP        8 // 48
#define PCX_RESERVED        9 // 1
#define PCX_NPLANES        10 // 1
#define PCX_BYTES_PER_LINE 11 // 2 (integer)
#define PCX_PALETTE_INFO   12 // 2 (integer)
#define PCX_FILLER         13 // 58
#define PCX_PIXELS         14 // rest of file (except for palette)
#define PCX_PALETTE        15 // the last 769 bytes (if version == 5)

#define PCX_LENGTH         15

#define HEADER_SIZE  128
#define BYTE(n)      ASC(SUBSTR(aPCX[PCX_PIXELS],n,1))
#define cNUM(c)      ALLTRIM(STR(c)) 

#endif



